<!-- Page Header -->
<header class="masthead" style="background-image: url('img/contact-bg.jpg')">
  <div class="overlay"></div>
  <div class="container">
    <div class="row">
      <div class="col-lg-8 col-md-10 mx-auto">
        <div class="page-heading">
          <h1>Contact Me</h1>
          <span class="subheading">Have questions? I have answers.</span>
        </div>
      </div>
    </div>
  </div>
</header>

<!-- Main Content -->
<div class="container">
  <div class="row">
    <div class="col-lg-8 col-md-10 mx-auto">
      <p>Want to get in touch? Fill out the form below to send me a message and I will get back to you as soon as possible!</p>
      <!-- Contact Form - Enter your email address on line 19 of the mail/contact_me.php file to make this form work. -->
      <!-- WARNING: Some web hosts do not allow emails to be sent through forms to common mail hosts like Gmail or Yahoo. It's recommended that you use a private domain email address! -->
      <!-- To use the contact form, your site must be on a live web host with PHP! The form will not work locally! -->
      <form [formGroup]="contactForm" (ngSubmit)="onSubmit()" id="contactForm">

        <div class="control-group">
          <div class="form-group controls">
            <label for="email">Email</label>
            <input type="text" name="email" id="email" formControlName="email" [ngClass]="{'form-control': true}">
            <div *ngIf="contactForm.controls.email.invalid && (contactForm.controls.email.dirty || contactForm.controls.email.touched)"
                 class="alert">

              <div *ngIf="contactForm.controls.email.errors?.email" class="alert alert-danger">
                L'email est invalide
              </div>
            </div>
          </div>
          <div class="form-group controls">
            <label for="name">Nom</label>
            <input type="text" name="name" id="name" formControlName="name">
          </div>
          <div class="form-group controls">
            <label for="message">Message</label>
            <textarea rows="5" class="form-control" id="message" formControlName="message"></textarea>
            <p class="help-block text-danger"></p>
          </div>
          <div class="form-group controls">
            <label for="message">Image</label>
            <input type="file" #myImage class="form-control" id="image" formControlName="image" />
            <p class="help-block text-danger"></p>
          </div>
        </div>
        <br>
        <div id="success"></div>
        <button type="submit" class="btn btn-primary" id="sendMessageButton" [disabled]="contactForm.invalid">Send</button>
      </form>
    </div>
  </div>
</div>
